<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    {% load static %}
    <link rel="stylesheet" href="{% static 'noteList.css' %}"/>
    <title>Note as Cards</title>
</head>
<body>
    <nav class="navbar navbar-expand navbar-light navbar-custom">
        <a class="navbar-brand" href="#">LAB-4</a>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item active">
                <a class="nav-link" href="{% url 'index' %}">All Messages <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/add-note">Add Note</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/lab-4/note-list">Cards</a>
              </li>
            </ul>
        </div>
    </nav>
    <div class="title-holder">
        <h1>Note As Cards</h1>
    </div>
    <div class="note-container">
        {% for note in notes %}
        <div class="card message-card">
            <div class="message-title-holder">
                <h4 class="card-title">{{ note.title }}</h4>
                <h6 class="card-subtitle">From {{ note.fromNote }}</h6>
                <h6 class="card-subtitle">To {{ note.to }}</h5>
            </div>
            <div class="card-body">
                <p class="card-text">{{ note.message }}</p>
            </div>
        </div>
        {% endfor %}
    </div>
</body>
</html>